<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.grpU8.nxproof.glPznr.dao.impl.SenderGlPznrDaoImpl">

    <resultMap id="get-SenderGlPznrEntity-result" type="com.hzya.frame.grpU8.nxproof.glPznr.entity.SenderGlPznrEntity" >
       <result property="gsdm" column="gsdm" jdbcType="VARCHAR"/>
           <result property="zth" column="ZTH" jdbcType="VARCHAR"/>
           <result property="kjqj" column="kjqj" jdbcType="VARCHAR"/>
           <result property="pzly" column="pzly" jdbcType="VARCHAR"/>
           <result property="pzh" column="pzh" jdbcType="VARCHAR"/>
           <result property="flh" column="flh" jdbcType="INTEGER"/>
           <result property="zy" column="zy" jdbcType="VARCHAR"/>
           <result property="kmdm" column="kmdm" jdbcType="VARCHAR"/>
           <result property="wbdm" column="wbdm" jdbcType="VARCHAR"/>
           <result property="hl" column="hl" jdbcType="VARCHAR"/>
           <result property="jdbz" column="jdbz" jdbcType="VARCHAR"/>
           <result property="wbje" column="wbje" jdbcType="VARCHAR"/>
           <result property="je" column="je" jdbcType="VARCHAR"/>
           <result property="spz" column="spz" jdbcType="VARCHAR"/>
           <result property="wldrq" column="wldrq" jdbcType="VARCHAR"/>
           <result property="sl" column="sl" jdbcType="VARCHAR"/>
           <result property="dj" column="dj" jdbcType="VARCHAR"/>
           <result property="bmdm" column="bmdm" jdbcType="VARCHAR"/>
           <result property="wldm" column="wldm" jdbcType="VARCHAR"/>
           <result property="xmdm" column="xmdm" jdbcType="VARCHAR"/>
           <result property="fzsm1" column="fzsm1" jdbcType="VARCHAR"/>
           <result property="fzsm2" column="fzsm2" jdbcType="VARCHAR"/>
           <result property="fzsm3" column="fzsm3" jdbcType="VARCHAR"/>
           <result property="fzsm4" column="fzsm4" jdbcType="VARCHAR"/>
           <result property="fzsm5" column="fzsm5" jdbcType="VARCHAR"/>
           <result property="fzsm6" column="fzsm6" jdbcType="VARCHAR"/>
           <result property="fzsm7" column="fzsm7" jdbcType="VARCHAR"/>
           <result property="fzsm8" column="fzsm8" jdbcType="VARCHAR"/>
           <result property="fzsm9" column="fzsm9" jdbcType="VARCHAR"/>
           <result property="cess" column="cess" jdbcType="VARCHAR"/>
           <result property="fplx" column="fplx" jdbcType="VARCHAR"/>
           <result property="fprq" column="fprq" jdbcType="VARCHAR"/>
           <result property="fphfw1" column="fphfw1" jdbcType="INTEGER"/>
           <result property="fphfw2" column="fphfw2" jdbcType="INTEGER"/>
           <result property="jsfs" column="jsfs" jdbcType="VARCHAR"/>
           <result property="zydm" column="zydm" jdbcType="VARCHAR"/>
           <result property="fzdm4" column="fzdm4" jdbcType="VARCHAR"/>
           <result property="fzdm5" column="fzdm5" jdbcType="VARCHAR"/>
           <result property="fzdm6" column="fzdm6" jdbcType="VARCHAR"/>
           <result property="fzdm7" column="fzdm7" jdbcType="VARCHAR"/>
           <result property="fzdm8" column="fzdm8" jdbcType="VARCHAR"/>
           <result property="fzdm9" column="fzdm9" jdbcType="VARCHAR"/>
           <result property="fzdm10" column="fzdm10" jdbcType="VARCHAR"/>
           <result property="idpznr" column="IDPZNR" jdbcType="VARCHAR"/>
           <result property="wlh" column="wlh" jdbcType="VARCHAR"/>
           <result property="zbid" column="ZBID" jdbcType="INTEGER"/>
           <result property="edid" column="EDID" jdbcType="INTEGER"/>
           <result property="jfsqid" column="JFSQID" jdbcType="INTEGER"/>
           <result property="kjtxdm" column="kjtxdm" jdbcType="VARCHAR"/>
           <result property="pzlxdm" column="pzlxdm" jdbcType="VARCHAR"/>
           <result property="fzdm11" column="fzdm11" jdbcType="VARCHAR"/>
           <result property="fzdm12" column="fzdm12" jdbcType="VARCHAR"/>
           <result property="fzdm13" column="fzdm13" jdbcType="VARCHAR"/>
           <result property="fzdm14" column="fzdm14" jdbcType="VARCHAR"/>
           <result property="fzdm15" column="fzdm15" jdbcType="VARCHAR"/>
           <result property="fzdm16" column="fzdm16" jdbcType="VARCHAR"/>
           <result property="fzdm17" column="fzdm17" jdbcType="VARCHAR"/>
           <result property="fzdm18" column="fzdm18" jdbcType="VARCHAR"/>
           <result property="fzdm19" column="fzdm19" jdbcType="VARCHAR"/>
           <result property="fzdm20" column="fzdm20" jdbcType="VARCHAR"/>
           <result property="fzdm21" column="fzdm21" jdbcType="VARCHAR"/>
           <result property="fzdm22" column="fzdm22" jdbcType="VARCHAR"/>
           <result property="fzdm23" column="fzdm23" jdbcType="VARCHAR"/>
           <result property="fzdm24" column="fzdm24" jdbcType="VARCHAR"/>
           <result property="fzdm25" column="fzdm25" jdbcType="VARCHAR"/>
           <result property="fzdm26" column="fzdm26" jdbcType="VARCHAR"/>
           <result property="fzdm27" column="fzdm27" jdbcType="VARCHAR"/>
           <result property="fzdm28" column="fzdm28" jdbcType="VARCHAR"/>
           <result property="fzdm29" column="fzdm29" jdbcType="VARCHAR"/>
           <result property="fzdm30" column="fzdm30" jdbcType="VARCHAR"/>
           <result property="idpzh" column="idpzh" jdbcType="VARCHAR"/>
           <result property="skrlx" column="skrlx" jdbcType="VARCHAR"/>
           <result property="skrmc" column="skrmc" jdbcType="VARCHAR"/>
           <result property="skrzh" column="skrzh" jdbcType="VARCHAR"/>
           <result property="skryhdm" column="skryhdm" jdbcType="VARCHAR"/>
           <result property="skryhhh" column="skryhhh" jdbcType="VARCHAR"/>
           <result property="skryhmc" column="skryhmc" jdbcType="VARCHAR"/>
           <result property="yszccy" column="yszccy" jdbcType="VARCHAR"/>
           <result property="xsflh" column="xsflh" jdbcType="VARCHAR"/>
           <result property="bxdid" column="bxdid" jdbcType="VARCHAR"/>
           <result property="htid" column="htid" jdbcType="VARCHAR"/>
           <result property="zckpbh" column="zckpbh" jdbcType="VARCHAR"/>
           <result property="sflx" column="sflx" jdbcType="VARCHAR"/>
           <result property="djbh" column="djbh" jdbcType="VARCHAR"/>
           <result property="hzflh" column="hzflh" jdbcType="VARCHAR"/>
           <result property="cyxfx" column="cyxfx" jdbcType="VARCHAR"/>
           <result property="dqrq" column="dqrq" jdbcType="VARCHAR"/>
           <result property="glidpznr" column="glidpznr" jdbcType="VARCHAR"/>
        </resultMap>
    <!-- 查询的字段-->
    <sql id = "SenderGlPznrEntity_Base_Column_List">
        gsdm
        , ZTH
        , kjqj
        , pzly
        , pzh
        ,pzlxdm
        ,kjtxdm
        , flh
        , zy
        , kmdm
        , wbdm
        , hl
        , jdbz
        , wbje
        , je
        , spz
        , wldrq
        , sl
        , dj
        , bmdm
        , wldm
        , xmdm
        , fzsm1
        , fzsm2
        , fzsm3
        , fzsm4
        , fzsm5
        , fzsm6
        , fzsm7
        , fzsm8
        , fzsm9
        , cess
        , fplx
        , fprq
        , fphfw1
        , fphfw2
        , jsfs
        , zydm
        , fzdm4
        , fzdm5
        , fzdm6
        , fzdm7
        , fzdm8
        , fzdm9
        , fzdm10
        , IDPZNR
        , wlh
        , ZBID
        , EDID
        , JFSQID
        , fzdm10
        , fzdm11
        , fzdm12
        , fzdm13
        , fzdm14
        , fzdm15
        , fzdm16
        , fzdm17
        , fzdm18
        , fzdm19
        , fzdm20
        , fzdm21
        , fzdm22
        , fzdm23
        , fzdm24
        , fzdm25
        , fzdm26
        , fzdm27
        , fzdm28
        , fzdm29
        , fzdm30
        , idpzh
        , skrlx
        , skrmc
        , skrzh
        , skryhdm
        , skryhhh
        , skryhmc
        , yszccy
        , xsflh
        , bxdid
        , htid
        , zckpbh
        , sflx
        , djbh
        , hzflh
        , cyxfx
        , dqrq
        , glidpznr
    </sql>
 <!-- 查询 采用==查询 -->
 <select id="entity_list_base" resultMap="get-SenderGlPznrEntity-result" parameterType = "com.hzya.frame.grpU8.nxproof.glPznr.entity.SenderGlPznrEntity">
    select
    <include refid="SenderGlPznrEntity_Base_Column_List" />
    from gl_pznr
    <trim prefix="where" prefixOverrides="and"> 
        <if test="gsdm != null and gsdm != ''"> and gsdm = #{gsdm} </if>
            <if test="zth != null and zth != ''"> and ZTH = #{zth} </if>
            <if test="kjqj != null and kjqj != ''"> and kjqj = #{kjqj} </if>
            <if test="pzly != null and pzly != ''"> and pzly = #{pzly} </if>
            <if test="pzh != null and pzh != ''"> and pzh = #{pzh} </if>
            <if test="flh != null"> and flh = #{flh} </if>
            <if test="zy != null and zy != ''"> and zy = #{zy} </if>
            <if test="kmdm != null and kmdm != ''"> and kmdm = #{kmdm} </if>
            <if test="wbdm != null and wbdm != ''"> and wbdm = #{wbdm} </if>
            <if test="hl != null"> and hl = #{hl} </if>
            <if test="jdbz != null and jdbz != ''"> and jdbz = #{jdbz} </if>
            <if test="wbje != null"> and wbje = #{wbje} </if>
            <if test="je != null"> and je = #{je} </if>
            <if test="spz != null and spz != ''"> and spz = #{spz} </if>
            <if test="wldrq != null and wldrq != ''"> and wldrq = #{wldrq} </if>
            <if test="sl != null"> and sl = #{sl} </if>
            <if test="dj != null"> and dj = #{dj} </if>
            <if test="bmdm != null and bmdm != ''"> and bmdm = #{bmdm} </if>
            <if test="wldm != null and wldm != ''"> and wldm = #{wldm} </if>
            <if test="xmdm != null and xmdm != ''"> and xmdm = #{xmdm} </if>
            <if test="fzsm1 != null and fzsm1 != ''"> and fzsm1 = #{fzsm1} </if>
            <if test="fzsm2 != null and fzsm2 != ''"> and fzsm2 = #{fzsm2} </if>
            <if test="fzsm3 != null and fzsm3 != ''"> and fzsm3 = #{fzsm3} </if>
            <if test="fzsm4 != null and fzsm4 != ''"> and fzsm4 = #{fzsm4} </if>
            <if test="fzsm5 != null and fzsm5 != ''"> and fzsm5 = #{fzsm5} </if>
            <if test="fzsm6 != null and fzsm6 != ''"> and fzsm6 = #{fzsm6} </if>
            <if test="fzsm7 != null and fzsm7 != ''"> and fzsm7 = #{fzsm7} </if>
            <if test="fzsm8 != null and fzsm8 != ''"> and fzsm8 = #{fzsm8} </if>
            <if test="fzsm9 != null and fzsm9 != ''"> and fzsm9 = #{fzsm9} </if>
            <if test="cess != null"> and cess = #{cess} </if>
            <if test="fplx != null and fplx != ''"> and fplx = #{fplx} </if>
            <if test="fprq != null and fprq != ''"> and fprq = #{fprq} </if>
            <if test="fphfw1 != null"> and fphfw1 = #{fphfw1} </if>
            <if test="fphfw2 != null"> and fphfw2 = #{fphfw2} </if>
            <if test="jsfs != null and jsfs != ''"> and jsfs = #{jsfs} </if>
            <if test="zydm != null and zydm != ''"> and zydm = #{zydm} </if>
            <if test="fzdm4 != null and fzdm4 != ''"> and fzdm4 = #{fzdm4} </if>
            <if test="fzdm5 != null and fzdm5 != ''"> and fzdm5 = #{fzdm5} </if>
            <if test="fzdm6 != null and fzdm6 != ''"> and fzdm6 = #{fzdm6} </if>
            <if test="fzdm7 != null and fzdm7 != ''"> and fzdm7 = #{fzdm7} </if>
            <if test="fzdm8 != null and fzdm8 != ''"> and fzdm8 = #{fzdm8} </if>
            <if test="fzdm9 != null and fzdm9 != ''"> and fzdm9 = #{fzdm9} </if>
            <if test="fzdm10 != null and fzdm10 != ''"> and fzdm10 = #{fzdm10} </if>
            <if test="idpznr != null and idpznr != ''"> and IDPZNR = #{idpznr} </if>
            <if test="idpzh != null and idpzh != ''"> and idpzh = #{idpzh} </if>
            <if test="wlh != null and wlh != ''"> and wlh = #{wlh} </if>
            <if test="zbid != null"> and ZBID = #{zbid} </if>
            <if test="edid != null"> and EDID = #{edid} </if>
            <if test="jfsqid != null"> and JFSQID = #{jfsqid} </if>
            <if test="idpzh != null"> and idpzh = #{idpzh} </if>
        -- and zth in('004','005','009','010','011','012','014')
    </trim>
</select>

    <!-- 查询凭证内容日志 采用==查询 -->
    <select id="querySenderGlPznrEntityOne" resultMap="get-SenderGlPznrEntity-result" parameterType = "com.hzya.frame.grpU8.nxproof.glPznr.entity.SenderGlPznrEntity">
        select
        <include refid="SenderGlPznrEntity_Base_Column_List" />
        from gl_pznr
        <trim prefix="where" prefixOverrides="and">
            <if test="gsdm != null and gsdm != ''"> and gsdm = #{gsdm} </if>
            <if test="zth != null and zth != ''"> and ZTH = #{zth} </if>
            <if test="kjqj != null and kjqj != ''"> and kjqj = #{kjqj} </if>
            <if test="pzly != null and pzly != ''"> and pzly = #{pzly} </if>
            <if test="pzh != null and pzh != ''"> and pzh = #{pzh} </if>
            <if test="flh != null"> and flh = #{flh} </if>
            <if test="zy != null and zy != ''"> and zy = #{zy} </if>
            <if test="kmdm != null and kmdm != ''"> and kmdm = #{kmdm} </if>
            <if test="wbdm != null and wbdm != ''"> and wbdm = #{wbdm} </if>
            <if test="hl != null"> and hl = #{hl} </if>
            <if test="jdbz != null and jdbz != ''"> and jdbz = #{jdbz} </if>
            <if test="wbje != null"> and wbje = #{wbje} </if>
            <if test="je != null"> and je = #{je} </if>
            <if test="spz != null and spz != ''"> and spz = #{spz} </if>
            <if test="wldrq != null and wldrq != ''"> and wldrq = #{wldrq} </if>
            <if test="sl != null"> and sl = #{sl} </if>
            <if test="dj != null"> and dj = #{dj} </if>
            <if test="bmdm != null and bmdm != ''"> and bmdm = #{bmdm} </if>
            <if test="wldm != null and wldm != ''"> and wldm = #{wldm} </if>
            <if test="xmdm != null and xmdm != ''"> and xmdm = #{xmdm} </if>
            <if test="fzsm1 != null and fzsm1 != ''"> and fzsm1 = #{fzsm1} </if>
            <if test="fzsm2 != null and fzsm2 != ''"> and fzsm2 = #{fzsm2} </if>
            <if test="fzsm3 != null and fzsm3 != ''"> and fzsm3 = #{fzsm3} </if>
            <if test="fzsm4 != null and fzsm4 != ''"> and fzsm4 = #{fzsm4} </if>
            <if test="fzsm5 != null and fzsm5 != ''"> and fzsm5 = #{fzsm5} </if>
            <if test="fzsm6 != null and fzsm6 != ''"> and fzsm6 = #{fzsm6} </if>
            <if test="fzsm7 != null and fzsm7 != ''"> and fzsm7 = #{fzsm7} </if>
            <if test="fzsm8 != null and fzsm8 != ''"> and fzsm8 = #{fzsm8} </if>
            <if test="fzsm9 != null and fzsm9 != ''"> and fzsm9 = #{fzsm9} </if>
            <if test="cess != null"> and cess = #{cess} </if>
            <if test="fplx != null and fplx != ''"> and fplx = #{fplx} </if>
            <if test="fprq != null and fprq != ''"> and fprq = #{fprq} </if>
            <if test="fphfw1 != null"> and fphfw1 = #{fphfw1} </if>
            <if test="fphfw2 != null"> and fphfw2 = #{fphfw2} </if>
            <if test="jsfs != null and jsfs != ''"> and jsfs = #{jsfs} </if>
            <if test="zydm != null and zydm != ''"> and zydm = #{zydm} </if>
            <if test="fzdm4 != null and fzdm4 != ''"> and fzdm4 = #{fzdm4} </if>
            <if test="fzdm5 != null and fzdm5 != ''"> and fzdm5 = #{fzdm5} </if>
            <if test="fzdm6 != null and fzdm6 != ''"> and fzdm6 = #{fzdm6} </if>
            <if test="fzdm7 != null and fzdm7 != ''"> and fzdm7 = #{fzdm7} </if>
            <if test="fzdm8 != null and fzdm8 != ''"> and fzdm8 = #{fzdm8} </if>
            <if test="fzdm9 != null and fzdm9 != ''"> and fzdm9 = #{fzdm9} </if>
            <if test="fzdm10 != null and fzdm10 != ''"> and fzdm10 = #{fzdm10} </if>
            <if test="idpznr != null and idpznr != ''"> and IDPZNR = #{idpznr} </if>
            <if test="wlh != null and wlh != ''"> and wlh = #{wlh} </if>
            <if test="zbid != null"> and ZBID = #{zbid} </if>
            <if test="edid != null"> and EDID = #{edid} </if>
            <if test="jfsqid != null"> and JFSQID = #{jfsqid} </if>
        </trim>
    </select>


    <!-- 查询符合条件的数量 -->
<select id="entity_count" resultType="Integer" parameterType = "com.hzya.frame.grpU8.nxproof.glPznr.entity.SenderGlPznrEntity">
        select  count(1)   from gl_pznr
    <trim prefix="where" prefixOverrides="and"> 
        <if test="gsdm != null and gsdm != ''"> and gsdm = #{gsdm} </if>
            <if test="zth != null and zth != ''"> and ZTH = #{zth} </if>
            <if test="kjqj != null and kjqj != ''"> and kjqj = #{kjqj} </if>
            <if test="pzly != null and pzly != ''"> and pzly = #{pzly} </if>
            <if test="pzh != null and pzh != ''"> and pzh = #{pzh} </if>
            <if test="flh != null"> and flh = #{flh} </if>
            <if test="zy != null and zy != ''"> and zy = #{zy} </if>
            <if test="kmdm != null and kmdm != ''"> and kmdm = #{kmdm} </if>
            <if test="wbdm != null and wbdm != ''"> and wbdm = #{wbdm} </if>
            <if test="hl != null"> and hl = #{hl} </if>
            <if test="jdbz != null and jdbz != ''"> and jdbz = #{jdbz} </if>
            <if test="wbje != null"> and wbje = #{wbje} </if>
            <if test="je != null"> and je = #{je} </if>
            <if test="spz != null and spz != ''"> and spz = #{spz} </if>
            <if test="wldrq != null and wldrq != ''"> and wldrq = #{wldrq} </if>
            <if test="sl != null"> and sl = #{sl} </if>
            <if test="dj != null"> and dj = #{dj} </if>
            <if test="bmdm != null and bmdm != ''"> and bmdm = #{bmdm} </if>
            <if test="wldm != null and wldm != ''"> and wldm = #{wldm} </if>
            <if test="xmdm != null and xmdm != ''"> and xmdm = #{xmdm} </if>
            <if test="fzsm1 != null and fzsm1 != ''"> and fzsm1 = #{fzsm1} </if>
            <if test="fzsm2 != null and fzsm2 != ''"> and fzsm2 = #{fzsm2} </if>
            <if test="fzsm3 != null and fzsm3 != ''"> and fzsm3 = #{fzsm3} </if>
            <if test="fzsm4 != null and fzsm4 != ''"> and fzsm4 = #{fzsm4} </if>
            <if test="fzsm5 != null and fzsm5 != ''"> and fzsm5 = #{fzsm5} </if>
            <if test="fzsm6 != null and fzsm6 != ''"> and fzsm6 = #{fzsm6} </if>
            <if test="fzsm7 != null and fzsm7 != ''"> and fzsm7 = #{fzsm7} </if>
            <if test="fzsm8 != null and fzsm8 != ''"> and fzsm8 = #{fzsm8} </if>
            <if test="fzsm9 != null and fzsm9 != ''"> and fzsm9 = #{fzsm9} </if>
            <if test="cess != null"> and cess = #{cess} </if>
            <if test="fplx != null and fplx != ''"> and fplx = #{fplx} </if>
            <if test="fprq != null and fprq != ''"> and fprq = #{fprq} </if>
            <if test="fphfw1 != null"> and fphfw1 = #{fphfw1} </if>
            <if test="fphfw2 != null"> and fphfw2 = #{fphfw2} </if>
            <if test="jsfs != null and jsfs != ''"> and jsfs = #{jsfs} </if>
            <if test="zydm != null and zydm != ''"> and zydm = #{zydm} </if>
            <if test="fzdm4 != null and fzdm4 != ''"> and fzdm4 = #{fzdm4} </if>
            <if test="fzdm5 != null and fzdm5 != ''"> and fzdm5 = #{fzdm5} </if>
            <if test="fzdm6 != null and fzdm6 != ''"> and fzdm6 = #{fzdm6} </if>
            <if test="fzdm7 != null and fzdm7 != ''"> and fzdm7 = #{fzdm7} </if>
            <if test="fzdm8 != null and fzdm8 != ''"> and fzdm8 = #{fzdm8} </if>
            <if test="fzdm9 != null and fzdm9 != ''"> and fzdm9 = #{fzdm9} </if>
            <if test="fzdm10 != null and fzdm10 != ''"> and fzdm10 = #{fzdm10} </if>
            <if test="idpznr != null and idpznr != ''"> and IDPZNR = #{idpznr} </if>
            <if test="wlh != null and wlh != ''"> and wlh = #{wlh} </if>
            <if test="zbid != null"> and ZBID = #{zbid} </if>
            <if test="edid != null"> and EDID = #{edid} </if>
            <if test="jfsqid != null"> and JFSQID = #{jfsqid} </if>
    </trim>
    </select>

    <!-- 分页查询列表 采用like格式 -->
<select id="entity_list_like" resultMap="get-SenderGlPznrEntity-result" parameterType = "com.hzya.frame.grpU8.nxproof.glPznr.entity.SenderGlPznrEntity">
    select
    <include refid="SenderGlPznrEntity_Base_Column_List" />
    from gl_pznr
    <trim prefix="where" prefixOverrides="and"> 
        <if test="gsdm != null and gsdm != ''"> and gsdm like concat('%',#{gsdm},'%') </if>
            <if test="zth != null and zth != ''"> and ZTH like concat('%',#{zth},'%') </if>
            <if test="kjqj != null and kjqj != ''"> and kjqj like concat('%',#{kjqj},'%') </if>
            <if test="pzly != null and pzly != ''"> and pzly like concat('%',#{pzly},'%') </if>
            <if test="pzh != null and pzh != ''"> and pzh like concat('%',#{pzh},'%') </if>
            <if test="flh != null"> and flh like concat('%',#{flh},'%') </if>
            <if test="zy != null and zy != ''"> and zy like concat('%',#{zy},'%') </if>
            <if test="kmdm != null and kmdm != ''"> and kmdm like concat('%',#{kmdm},'%') </if>
            <if test="wbdm != null and wbdm != ''"> and wbdm like concat('%',#{wbdm},'%') </if>
            <if test="hl != null"> and hl like concat('%',#{hl},'%') </if>
            <if test="jdbz != null and jdbz != ''"> and jdbz like concat('%',#{jdbz},'%') </if>
            <if test="wbje != null"> and wbje like concat('%',#{wbje},'%') </if>
            <if test="je != null"> and je like concat('%',#{je},'%') </if>
            <if test="spz != null and spz != ''"> and spz like concat('%',#{spz},'%') </if>
            <if test="wldrq != null and wldrq != ''"> and wldrq like concat('%',#{wldrq},'%') </if>
            <if test="sl != null"> and sl like concat('%',#{sl},'%') </if>
            <if test="dj != null"> and dj like concat('%',#{dj},'%') </if>
            <if test="bmdm != null and bmdm != ''"> and bmdm like concat('%',#{bmdm},'%') </if>
            <if test="wldm != null and wldm != ''"> and wldm like concat('%',#{wldm},'%') </if>
            <if test="xmdm != null and xmdm != ''"> and xmdm like concat('%',#{xmdm},'%') </if>
            <if test="fzsm1 != null and fzsm1 != ''"> and fzsm1 like concat('%',#{fzsm1},'%') </if>
            <if test="fzsm2 != null and fzsm2 != ''"> and fzsm2 like concat('%',#{fzsm2},'%') </if>
            <if test="fzsm3 != null and fzsm3 != ''"> and fzsm3 like concat('%',#{fzsm3},'%') </if>
            <if test="fzsm4 != null and fzsm4 != ''"> and fzsm4 like concat('%',#{fzsm4},'%') </if>
            <if test="fzsm5 != null and fzsm5 != ''"> and fzsm5 like concat('%',#{fzsm5},'%') </if>
            <if test="fzsm6 != null and fzsm6 != ''"> and fzsm6 like concat('%',#{fzsm6},'%') </if>
            <if test="fzsm7 != null and fzsm7 != ''"> and fzsm7 like concat('%',#{fzsm7},'%') </if>
            <if test="fzsm8 != null and fzsm8 != ''"> and fzsm8 like concat('%',#{fzsm8},'%') </if>
            <if test="fzsm9 != null and fzsm9 != ''"> and fzsm9 like concat('%',#{fzsm9},'%') </if>
            <if test="cess != null"> and cess like concat('%',#{cess},'%') </if>
            <if test="fplx != null and fplx != ''"> and fplx like concat('%',#{fplx},'%') </if>
            <if test="fprq != null and fprq != ''"> and fprq like concat('%',#{fprq},'%') </if>
            <if test="fphfw1 != null"> and fphfw1 like concat('%',#{fphfw1},'%') </if>
            <if test="fphfw2 != null"> and fphfw2 like concat('%',#{fphfw2},'%') </if>
            <if test="jsfs != null and jsfs != ''"> and jsfs like concat('%',#{jsfs},'%') </if>
            <if test="zydm != null and zydm != ''"> and zydm like concat('%',#{zydm},'%') </if>
            <if test="fzdm4 != null and fzdm4 != ''"> and fzdm4 like concat('%',#{fzdm4},'%') </if>
            <if test="fzdm5 != null and fzdm5 != ''"> and fzdm5 like concat('%',#{fzdm5},'%') </if>
            <if test="fzdm6 != null and fzdm6 != ''"> and fzdm6 like concat('%',#{fzdm6},'%') </if>
            <if test="fzdm7 != null and fzdm7 != ''"> and fzdm7 like concat('%',#{fzdm7},'%') </if>
            <if test="fzdm8 != null and fzdm8 != ''"> and fzdm8 like concat('%',#{fzdm8},'%') </if>
            <if test="fzdm9 != null and fzdm9 != ''"> and fzdm9 like concat('%',#{fzdm9},'%') </if>
            <if test="fzdm10 != null and fzdm10 != ''"> and fzdm10 like concat('%',#{fzdm10},'%') </if>
            <if test="idpznr != null and idpznr != ''"> and IDPZNR like concat('%',#{idpznr},'%') </if>
            <if test="idpzh != null and idpzh != ''"> and idpzh like concat('%',#{idpzh},'%') </if>
            <if test="wlh != null and wlh != ''"> and wlh like concat('%',#{wlh},'%') </if>
            <if test="zbid != null"> and ZBID like concat('%',#{zbid},'%') </if>
            <if test="edid != null"> and EDID like concat('%',#{edid},'%') </if>
            <if test="jfsqid != null"> and JFSQID like concat('%',#{jfsqid},'%') </if>
    </trim>
</select>

<!-- 查询列表 字段采用or格式 -->
<select id="SenderGlPznrEntity_list_or" resultMap="get-SenderGlPznrEntity-result" parameterType = "com.hzya.frame.grpU8.nxproof.glPznr.entity.SenderGlPznrEntity">
    select
    <include refid="SenderGlPznrEntity_Base_Column_List" />
    from gl_pznr
    <trim prefix="where" prefixOverrides="and"> 
         <if test="gsdm != null and gsdm != ''"> or gsdm = #{gsdm} </if>
             <if test="zth != null and zth != ''"> or ZTH = #{zth} </if>
             <if test="kjqj != null and kjqj != ''"> or kjqj = #{kjqj} </if>
             <if test="pzly != null and pzly != ''"> or pzly = #{pzly} </if>
             <if test="pzh != null and pzh != ''"> or pzh = #{pzh} </if>
             <if test="flh != null"> or flh = #{flh} </if>
             <if test="zy != null and zy != ''"> or zy = #{zy} </if>
             <if test="kmdm != null and kmdm != ''"> or kmdm = #{kmdm} </if>
             <if test="wbdm != null and wbdm != ''"> or wbdm = #{wbdm} </if>
             <if test="hl != null"> or hl = #{hl} </if>
             <if test="jdbz != null and jdbz != ''"> or jdbz = #{jdbz} </if>
             <if test="wbje != null"> or wbje = #{wbje} </if>
             <if test="je != null"> or je = #{je} </if>
             <if test="spz != null and spz != ''"> or spz = #{spz} </if>
             <if test="wldrq != null and wldrq != ''"> or wldrq = #{wldrq} </if>
             <if test="sl != null"> or sl = #{sl} </if>
             <if test="dj != null"> or dj = #{dj} </if>
             <if test="bmdm != null and bmdm != ''"> or bmdm = #{bmdm} </if>
             <if test="wldm != null and wldm != ''"> or wldm = #{wldm} </if>
             <if test="xmdm != null and xmdm != ''"> or xmdm = #{xmdm} </if>
             <if test="fzsm1 != null and fzsm1 != ''"> or fzsm1 = #{fzsm1} </if>
             <if test="fzsm2 != null and fzsm2 != ''"> or fzsm2 = #{fzsm2} </if>
             <if test="fzsm3 != null and fzsm3 != ''"> or fzsm3 = #{fzsm3} </if>
             <if test="fzsm4 != null and fzsm4 != ''"> or fzsm4 = #{fzsm4} </if>
             <if test="fzsm5 != null and fzsm5 != ''"> or fzsm5 = #{fzsm5} </if>
             <if test="fzsm6 != null and fzsm6 != ''"> or fzsm6 = #{fzsm6} </if>
             <if test="fzsm7 != null and fzsm7 != ''"> or fzsm7 = #{fzsm7} </if>
             <if test="fzsm8 != null and fzsm8 != ''"> or fzsm8 = #{fzsm8} </if>
             <if test="fzsm9 != null and fzsm9 != ''"> or fzsm9 = #{fzsm9} </if>
             <if test="cess != null"> or cess = #{cess} </if>
             <if test="fplx != null and fplx != ''"> or fplx = #{fplx} </if>
             <if test="fprq != null and fprq != ''"> or fprq = #{fprq} </if>
             <if test="fphfw1 != null"> or fphfw1 = #{fphfw1} </if>
             <if test="fphfw2 != null"> or fphfw2 = #{fphfw2} </if>
             <if test="jsfs != null and jsfs != ''"> or jsfs = #{jsfs} </if>
             <if test="zydm != null and zydm != ''"> or zydm = #{zydm} </if>
             <if test="fzdm4 != null and fzdm4 != ''"> or fzdm4 = #{fzdm4} </if>
             <if test="fzdm5 != null and fzdm5 != ''"> or fzdm5 = #{fzdm5} </if>
             <if test="fzdm6 != null and fzdm6 != ''"> or fzdm6 = #{fzdm6} </if>
             <if test="fzdm7 != null and fzdm7 != ''"> or fzdm7 = #{fzdm7} </if>
             <if test="fzdm8 != null and fzdm8 != ''"> or fzdm8 = #{fzdm8} </if>
             <if test="fzdm9 != null and fzdm9 != ''"> or fzdm9 = #{fzdm9} </if>
             <if test="fzdm10 != null and fzdm10 != ''"> or fzdm10 = #{fzdm10} </if>
             <if test="idpznr != null and idpznr != ''"> or IDPZNR = #{idpznr} </if>
             <if test="wlh != null and wlh != ''"> or wlh = #{wlh} </if>
             <if test="zbid != null"> or ZBID = #{zbid} </if>
             <if test="edid != null"> or EDID = #{edid} </if>
             <if test="jfsqid != null"> or JFSQID = #{jfsqid} </if>
    </trim>
</select>

<!--新增所有列-->
<insert id="entity_insert" parameterType = "com.hzya.frame.grpU8.nxproof.glPznr.entity.SenderGlPznrEntity" keyProperty="" useGeneratedKeys="true">
    insert into gl_pznr(
    <trim suffix="" suffixOverrides=",">
        <if test="gsdm != null and gsdm != ''"> gsdm , </if>
        <if test="kjqj != null and kjqj != ''"> kjqj , </if>
        <if test="pzly != null "> pzly , </if>
        <if test="pzh != null and pzh != ''"> pzh , </if>
        <if test="kjtxdm != null and kjtxdm != ''"> kjtxdm , </if>
        <if test="pzlxdm != null and pzlxdm != ''"> pzlxdm , </if>
        <if test="flh != null"> flh , </if>
        <if test="zy != null and zy != ''"> zy , </if>
        <if test="kmdm != null and kmdm != ''"> kmdm , </if>
        <if test="wbdm != null "> wbdm , </if>
        <if test="hl != null"> hl , </if>
        <if test="jdbz != null and jdbz != ''"> jdbz , </if>
        <if test="wbje != null"> wbje , </if>
        <if test="je != null"> je , </if>
        <if test="spz != null and spz != ''"> spz , </if>
        <if test="wldrq != null and wldrq != ''"> wldrq , </if>
        <if test="sl != null"> sl , </if>
        <if test="dj != null"> dj , </if>
        <if test="bmdm != null and bmdm != ''"> bmdm , </if>
        <if test="wldm != null and wldm != ''"> wldm , </if>
        <if test="xmdm != null and xmdm != ''"> xmdm , </if>
        <if test="fzsm1 != null and fzsm1 != ''"> fzsm1 , </if>
        <if test="fzsm2 != null and fzsm2 != ''"> fzsm2 , </if>
        <if test="fzsm3 != null and fzsm3 != ''"> fzsm3 , </if>
        <if test="fzsm4 != null and fzsm4 != ''"> fzsm4 , </if>
        <if test="fzsm5 != null and fzsm5 != ''"> fzsm5 , </if>
        <if test="fzsm6 != null and fzsm6 != ''"> fzsm6 , </if>
        <if test="fzsm7 != null and fzsm7 != ''"> fzsm7 , </if>
        <if test="fzsm8 != null and fzsm8 != ''"> fzsm8 , </if>
        <if test="fzsm9 != null and fzsm9 != ''"> fzsm9 , </if>
        <if test="cess != null"> cess , </if>
        <if test="fplx != null and fplx != ''"> fplx , </if>
        <if test="fprq != null and fprq != ''"> fprq , </if>
        <if test="fphfw1 != null"> fphfw1 , </if>
        <if test="fphfw2 != null"> fphfw2 , </if>
        <if test="jsfs != null and jsfs != ''"> jsfs , </if>
        <if test="zydm != null and zydm != ''"> zydm , </if>
        <if test="fzdm4 != null and fzdm4 != ''"> fzdm4 , </if>
        <if test="fzdm5 != null and fzdm5 != ''"> fzdm5 , </if>
        <if test="fzdm6 != null and fzdm6 != ''"> fzdm6 , </if>
        <if test="fzdm7 != null and fzdm7 != ''"> fzdm7 , </if>
        <if test="fzdm8 != null and fzdm8 != ''"> fzdm8 , </if>
        <if test="fzdm9 != null and fzdm9 != ''"> fzdm9 , </if>
        <if test="fzdm10 != null and fzdm10 != ''"> fzdm10 , </if>
        <if test="idpznr != null and idpznr != ''"> IDPZNR , </if>
        <if test="wlh != null and wlh != ''"> wlh , </if>
        <if test="zbid != null"> ZBID , </if>
        <if test="edid != null"> EDID , </if>
        <if test="jfsqid != null"> JFSQID , </if>
        <if test="fzdm11 != null and fzdm11 != ''"> fzdm11 , </if>
        <if test="fzdm12 != null and fzdm12 != ''"> fzdm12 , </if>
        <if test="fzdm13 != null and fzdm13 != ''"> fzdm13 , </if>
        <if test="fzdm14 != null and fzdm14 != ''"> fzdm14 , </if>
        <if test="fzdm15 != null and fzdm15 != ''"> fzdm15 , </if>
        <if test="fzdm16 != null and fzdm16 != ''"> fzdm16 , </if>
        <if test="fzdm17 != null and fzdm17 != ''"> fzdm17 , </if>
        <if test="fzdm18 != null and fzdm18 != ''"> fzdm18 , </if>
        <if test="fzdm19 != null and fzdm19 != ''"> fzdm19 , </if>
        <if test="fzdm20 != null and fzdm20 != ''"> fzdm20 , </if>
        <if test="fzdm21 != null and fzdm21 != ''"> fzdm21 , </if>
        <if test="fzdm22 != null and fzdm22 != ''"> fzdm22 , </if>
        <if test="fzdm23 != null and fzdm23 != ''"> fzdm23 , </if>
        <if test="fzdm24 != null and fzdm24 != ''"> fzdm24 , </if>
        <if test="fzdm25 != null and fzdm25 != ''"> fzdm25 , </if>
        <if test="fzdm26 != null and fzdm26 != ''"> fzdm26 , </if>
        <if test="fzdm27 != null and fzdm27 != ''"> fzdm27 , </if>
        <if test="fzdm28 != null and fzdm28 != ''"> fzdm28 , </if>
        <if test="fzdm29 != null and fzdm29 != ''"> fzdm29 , </if>
        <if test="fzdm30 != null and fzdm30 != ''"> fzdm30 , </if>
        <if test="idpzh != null and idpzh != ''"> idpzh , </if>
        <if test="skrlx != null and skrlx != ''"> skrlx , </if>
        <if test="skrmc != null and skrmc != ''"> skrmc , </if>
        <if test="skrzh != null and skrzh != ''"> skrzh , </if>
        <if test="skryhdm != null and skryhdm != ''"> skryhdm , </if>
        <if test="skryhhh != null and skryhhh != ''"> skryhhh , </if>
        <if test="skryhmc != null and skryhmc != ''"> skryhmc , </if>
        <if test="yszccy != null and yszccy != ''"> yszccy , </if>
        <if test="xsflh != null and xsflh != ''"> xsflh , </if>
        <if test="bxdid != null and bxdid != ''"> bxdid , </if>
        <if test="htid != null and htid != ''"> htid , </if>
        <if test="zckpbh != null and zckpbh != ''"> zckpbh , </if>
        <if test="sflx != null and sflx != ''"> sflx , </if>
        <if test="djbh != null and djbh != ''"> djbh , </if>
        <if test="hzflh != null and hzflh != ''"> hzflh , </if>
        <if test="cyxfx != null and cyxfx != ''"> cyxfx , </if>
        <if test="dqrq != null and dqrq != ''"> dqrq , </if>
        <if test="glidpznr != null and glidpznr != ''"> glidpznr , </if>
        <if test="zth != null and zth != ''"> ZTH  </if>
    </trim>
    )values(
    <trim suffix="" suffixOverrides=",">
        <if test="gsdm != null and gsdm != ''"> #{gsdm} ,</if>
        <if test="kjqj != null and kjqj != ''"> #{kjqj} ,</if>
        <if test="pzly != null "> #{pzly} ,</if>
        <if test="pzh != null and pzh != ''"> #{pzh} ,</if>
        <if test="kjtxdm != null and kjtxdm != ''"> #{kjtxdm} , </if>
        <if test="pzlxdm != null and pzlxdm != ''"> #{pzlxdm} , </if>
        <if test="flh != null"> #{flh} ,</if>
        <if test="zy != null and zy != ''"> #{zy} ,</if>
        <if test="kmdm != null and kmdm != ''"> #{kmdm} ,</if>
        <if test="wbdm != null "> #{wbdm} ,</if>
        <if test="hl != null"> #{hl} ,</if>
        <if test="jdbz != null and jdbz != ''"> #{jdbz} ,</if>
        <if test="wbje != null"> #{wbje} ,</if>
        <if test="je != null"> #{je} ,</if>
        <if test="spz != null and spz != ''"> #{spz} ,</if>
        <if test="wldrq != null and wldrq != ''"> #{wldrq} ,</if>
        <if test="sl != null"> #{sl} ,</if>
        <if test="dj != null"> #{dj} ,</if>
        <if test="bmdm != null and bmdm != ''"> #{bmdm} ,</if>
        <if test="wldm != null and wldm != ''"> #{wldm} ,</if>
        <if test="xmdm != null and xmdm != ''"> #{xmdm} ,</if>
        <if test="fzsm1 != null and fzsm1 != ''"> #{fzsm1} ,</if>
        <if test="fzsm2 != null and fzsm2 != ''"> #{fzsm2} ,</if>
        <if test="fzsm3 != null and fzsm3 != ''"> #{fzsm3} ,</if>
        <if test="fzsm4 != null and fzsm4 != ''"> #{fzsm4} ,</if>
        <if test="fzsm5 != null and fzsm5 != ''"> #{fzsm5} ,</if>
        <if test="fzsm6 != null and fzsm6 != ''"> #{fzsm6} ,</if>
        <if test="fzsm7 != null and fzsm7 != ''"> #{fzsm7} ,</if>
        <if test="fzsm8 != null and fzsm8 != ''"> #{fzsm8} ,</if>
        <if test="fzsm9 != null and fzsm9 != ''"> #{fzsm9} ,</if>
        <if test="cess != null"> #{cess} ,</if>
        <if test="fplx != null and fplx != ''"> #{fplx} ,</if>
        <if test="fprq != null and fprq != ''"> #{fprq} ,</if>
        <if test="fphfw1 != null"> #{fphfw1} ,</if>
        <if test="fphfw2 != null"> #{fphfw2} ,</if>
        <if test="jsfs != null and jsfs != ''"> #{jsfs} ,</if>
        <if test="zydm != null and zydm != ''"> #{zydm} ,</if>
        <if test="fzdm4 != null and fzdm4 != ''"> #{fzdm4} ,</if>
        <if test="fzdm5 != null and fzdm5 != ''"> #{fzdm5} ,</if>
        <if test="fzdm6 != null and fzdm6 != ''"> #{fzdm6} ,</if>
        <if test="fzdm7 != null and fzdm7 != ''"> #{fzdm7} ,</if>
        <if test="fzdm8 != null and fzdm8 != ''"> #{fzdm8} ,</if>
        <if test="fzdm9 != null and fzdm9 != ''"> #{fzdm9} ,</if>
        <if test="fzdm10 != null and fzdm10 != ''"> #{fzdm10} ,</if>
        <if test="idpznr != null and idpznr != ''"> #{idpznr} ,</if>
        <if test="wlh != null and wlh != ''"> #{wlh} ,</if>
        <if test="zbid != null"> #{zbid} ,</if>
        <if test="edid != null"> #{edid} ,</if>
        <if test="jfsqid != null"> #{jfsqid} ,</if>
        <if test="fzdm11 != null and fzdm11 != ''"> #{fzdm11} , </if>
        <if test="fzdm12 != null and fzdm12 != ''"> #{fzdm12} , </if>
        <if test="fzdm13 != null and fzdm13 != ''"> #{fzdm13} , </if>
        <if test="fzdm14 != null and fzdm14 != ''"> #{fzdm14} , </if>
        <if test="fzdm15 != null and fzdm15 != ''"> #{fzdm15} , </if>
        <if test="fzdm16 != null and fzdm16 != ''"> #{fzdm16} , </if>
        <if test="fzdm17 != null and fzdm17 != ''"> #{fzdm17} , </if>
        <if test="fzdm18 != null and fzdm18 != ''"> #{fzdm18} , </if>
        <if test="fzdm19 != null and fzdm19 != ''"> #{fzdm19} , </if>
        <if test="fzdm20 != null and fzdm20 != ''"> #{fzdm20} , </if>
        <if test="fzdm21 != null and fzdm21 != ''"> #{fzdm21} , </if>
        <if test="fzdm22 != null and fzdm22 != ''"> #{fzdm22} , </if>
        <if test="fzdm23 != null and fzdm23 != ''"> #{fzdm23} , </if>
        <if test="fzdm24 != null and fzdm24 != ''"> #{fzdm24} , </if>
        <if test="fzdm25 != null and fzdm25 != ''"> #{fzdm25} , </if>
        <if test="fzdm26 != null and fzdm26 != ''"> #{fzdm26} , </if>
        <if test="fzdm27 != null and fzdm27 != ''"> #{fzdm27} , </if>
        <if test="fzdm28 != null and fzdm28 != ''"> #{fzdm28} , </if>
        <if test="fzdm29 != null and fzdm29 != ''"> #{fzdm29} , </if>
        <if test="fzdm30 != null and fzdm30 != ''"> #{fzdm30} , </if>
        <if test="idpzh != null and idpzh != ''"> #{idpzh} , </if>
        <if test="skrlx != null and skrlx != ''"> #{skrlx} , </if>
        <if test="skrmc != null and skrmc != ''"> #{skrmc} , </if>
        <if test="skrzh != null and skrzh != ''"> #{skrzh} , </if>
        <if test="skryhdm != null and skryhdm != ''"> #{skryhdm} , </if>
        <if test="skryhhh != null and skryhhh != ''"> #{skryhhh} , </if>
        <if test="skryhmc != null and skryhmc != ''"> #{skryhmc} , </if>
        <if test="yszccy != null and yszccy != ''"> #{yszccy} , </if>
        <if test="xsflh != null and xsflh != ''"> #{xsflh} , </if>
        <if test="bxdid != null and bxdid != ''"> #{bxdid}, </if>
        <if test="htid != null and htid != ''"> #{htid} , </if>
        <if test="zckpbh != null and zckpbh != ''"> #{zckpbh} , </if>
        <if test="sflx != null and sflx != ''"> #{sflx} , </if>
        <if test="djbh != null and djbh != ''"> #{djbh} , </if>
        <if test="hzflh != null and hzflh != ''"> #{hzflh} , </if>
        <if test="cyxfx != null and cyxfx != ''"> #{cyxfx} , </if>
        <if test="dqrq != null and dqrq != ''"> #{dqrq} , </if>
        <if test="glidpznr != null and glidpznr != ''"> #{glidpznr} , </if>
        <if test="zth != null and zth != ''"> #{zth} </if>
    </trim>
    )
</insert>
<!-- 批量新增 -->
<insert id="entityInsertBatch" keyProperty="" useGeneratedKeys="true">
  insert into gl_pznr(gsdm, ZTH, kjqj, pzly, pzh, flh, zy, kmdm, wbdm, hl, jdbz, wbje, je, spz, wldrq, sl, dj, bmdm, wldm, xmdm, fzsm1, fzsm2, fzsm3, fzsm4, fzsm5, fzsm6, fzsm7, fzsm8, fzsm9, cess, fplx, fprq, fphfw1, fphfw2, jsfs, zydm, fzdm4, fzdm5, fzdm6, fzdm7, fzdm8, fzdm9, fzdm10, IDPZNR, wlh, ZBID, EDID, JFSQID)
    values
    <foreach collection="entities" item="entity" separator=",">
    (#{entity.gsdm},#{entity.zth},#{entity.kjqj},#{entity.pzly},#{entity.pzh},#{entity.flh},#{entity.zy},#{entity.kmdm},#{entity.wbdm},#{entity.hl},#{entity.jdbz},#{entity.wbje},#{entity.je},#{entity.spz},#{entity.wldrq},#{entity.sl},#{entity.dj},#{entity.bmdm},#{entity.wldm},#{entity.xmdm},#{entity.fzsm1},#{entity.fzsm2},#{entity.fzsm3},#{entity.fzsm4},#{entity.fzsm5},#{entity.fzsm6},#{entity.fzsm7},#{entity.fzsm8},#{entity.fzsm9},#{entity.cess},#{entity.fplx},#{entity.fprq},#{entity.fphfw1},#{entity.fphfw2},#{entity.jsfs},#{entity.zydm},#{entity.fzdm4},#{entity.fzdm5},#{entity.fzdm6},#{entity.fzdm7},#{entity.fzdm8},#{entity.fzdm9},#{entity.fzdm10},#{entity.idpznr},#{entity.wlh},#{entity.zbid},#{entity.edid},#{entity.jfsqid})
    </foreach>
</insert>
<!-- 批量新增或者修改-->
<insert id="entityInsertOrUpdateBatch" keyProperty="" useGeneratedKeys="true">
    insert into gl_pznr(gsdm, ZTH, kjqj, pzly, pzh, flh, zy, kmdm, wbdm, hl, jdbz, wbje, je, spz, wldrq, sl, dj, bmdm, wldm, xmdm, fzsm1, fzsm2, fzsm3, fzsm4, fzsm5, fzsm6, fzsm7, fzsm8, fzsm9, cess, fplx, fprq, fphfw1, fphfw2, jsfs, zydm, fzdm4, fzdm5, fzdm6, fzdm7, fzdm8, fzdm9, fzdm10, IDPZNR, wlh, ZBID, EDID, JFSQID)
    values
    <foreach collection="entities" item="entity" separator=",">
    (#{entity.gsdm},#{entity.zth},#{entity.kjqj},#{entity.pzly},#{entity.pzh},#{entity.flh},#{entity.zy},#{entity.kmdm},#{entity.wbdm},#{entity.hl},#{entity.jdbz},#{entity.wbje},#{entity.je},#{entity.spz},#{entity.wldrq},#{entity.sl},#{entity.dj},#{entity.bmdm},#{entity.wldm},#{entity.xmdm},#{entity.fzsm1},#{entity.fzsm2},#{entity.fzsm3},#{entity.fzsm4},#{entity.fzsm5},#{entity.fzsm6},#{entity.fzsm7},#{entity.fzsm8},#{entity.fzsm9},#{entity.cess},#{entity.fplx},#{entity.fprq},#{entity.fphfw1},#{entity.fphfw2},#{entity.jsfs},#{entity.zydm},#{entity.fzdm4},#{entity.fzdm5},#{entity.fzdm6},#{entity.fzdm7},#{entity.fzdm8},#{entity.fzdm9},#{entity.fzdm10},#{entity.idpznr},#{entity.wlh},#{entity.zbid},#{entity.edid},#{entity.jfsqid})
    </foreach>
    on duplicate key update
    gsdm = values(gsdm),
    ZTH = values(ZTH),
    kjqj = values(kjqj),
    pzly = values(pzly),
    pzh = values(pzh),
    flh = values(flh),
    zy = values(zy),
    kmdm = values(kmdm),
    wbdm = values(wbdm),
    hl = values(hl),
    jdbz = values(jdbz),
    wbje = values(wbje),
    je = values(je),
    spz = values(spz),
    wldrq = values(wldrq),
    sl = values(sl),
    dj = values(dj),
    bmdm = values(bmdm),
    wldm = values(wldm),
    xmdm = values(xmdm),
    fzsm1 = values(fzsm1),
    fzsm2 = values(fzsm2),
    fzsm3 = values(fzsm3),
    fzsm4 = values(fzsm4),
    fzsm5 = values(fzsm5),
    fzsm6 = values(fzsm6),
    fzsm7 = values(fzsm7),
    fzsm8 = values(fzsm8),
    fzsm9 = values(fzsm9),
    cess = values(cess),
    fplx = values(fplx),
    fprq = values(fprq),
    fphfw1 = values(fphfw1),
    fphfw2 = values(fphfw2),
    jsfs = values(jsfs),
    zydm = values(zydm),
    fzdm4 = values(fzdm4),
    fzdm5 = values(fzdm5),
    fzdm6 = values(fzdm6),
    fzdm7 = values(fzdm7),
    fzdm8 = values(fzdm8),
    fzdm9 = values(fzdm9),
    fzdm10 = values(fzdm10),
    IDPZNR = values(IDPZNR),
    wlh = values(wlh),
    ZBID = values(ZBID),
    EDID = values(EDID),
    JFSQID = values(JFSQID)</insert>
<!--通过主键修改方法-->
<update id="entity_update" parameterType = "com.hzya.frame.grpU8.nxproof.glPznr.entity.SenderGlPznrEntity" >
    update gl_pznr  set
    <trim suffix="" suffixOverrides=",">
        <if test="gsdm != null and gsdm != ''"> gsdm = #{gsdm},</if>
        <if test="zth != null and zth != ''"> ZTH = #{zth},</if>
        <if test="kjqj != null and kjqj != ''"> kjqj = #{kjqj},</if>
        <if test="pzly != null and pzly != ''"> pzly = #{pzly},</if>
        <if test="pzh != null and pzh != ''"> pzh = #{pzh},</if>
        <if test="kjtxdm != null and kjtxdm != ''"> kjtxdm = #{kjtxdm},</if>
        <if test="pzlxdm != null and pzlxdm != ''"> pzlxdm = #{pzlxdm},</if>
        <if test="flh != null"> flh = #{flh},</if>
        <if test="zy != null and zy != ''"> zy = #{zy},</if>
        <if test="kmdm != null and kmdm != ''"> kmdm = #{kmdm},</if>
        <if test="wbdm != null and wbdm != ''"> wbdm = #{wbdm},</if>
        <if test="hl != null"> hl = #{hl},</if>
        <if test="jdbz != null and jdbz != ''"> jdbz = #{jdbz},</if>
        <if test="wbje != null"> wbje = #{wbje},</if>
        <if test="je != null"> je = #{je},</if>
        <if test="spz != null and spz != ''"> spz = #{spz},</if>
        <if test="wldrq != null and wldrq != ''"> wldrq = #{wldrq},</if>
        <if test="sl != null"> sl = #{sl},</if>
        <if test="dj != null"> dj = #{dj},</if>
        <if test="bmdm != null and bmdm != ''"> bmdm = #{bmdm},</if>
        <if test="wldm != null and wldm != ''"> wldm = #{wldm},</if>
        <if test="xmdm != null and xmdm != ''"> xmdm = #{xmdm},</if>
        <if test="fzsm1 != null and fzsm1 != ''"> fzsm1 = #{fzsm1},</if>
        <if test="fzsm2 != null and fzsm2 != ''"> fzsm2 = #{fzsm2},</if>
        <if test="fzsm3 != null and fzsm3 != ''"> fzsm3 = #{fzsm3},</if>
        <if test="fzsm4 != null and fzsm4 != ''"> fzsm4 = #{fzsm4},</if>
        <if test="fzsm5 != null and fzsm5 != ''"> fzsm5 = #{fzsm5},</if>
        <if test="fzsm6 != null and fzsm6 != ''"> fzsm6 = #{fzsm6},</if>
        <if test="fzsm7 != null and fzsm7 != ''"> fzsm7 = #{fzsm7},</if>
        <if test="fzsm8 != null and fzsm8 != ''"> fzsm8 = #{fzsm8},</if>
        <if test="fzsm9 != null and fzsm9 != ''"> fzsm9 = #{fzsm9},</if>
        <if test="cess != null"> cess = #{cess},</if>
        <if test="fplx != null and fplx != ''"> fplx = #{fplx},</if>
        <if test="fprq != null and fprq != ''"> fprq = #{fprq},</if>
        <if test="fphfw1 != null"> fphfw1 = #{fphfw1},</if>
        <if test="fphfw2 != null"> fphfw2 = #{fphfw2},</if>
        <if test="jsfs != null and jsfs != ''"> jsfs = #{jsfs},</if>
        <if test="zydm != null and zydm != ''"> zydm = #{zydm},</if>
        <if test="fzdm4 != null and fzdm4 != ''"> fzdm4 = #{fzdm4},</if>
        <if test="fzdm5 != null and fzdm5 != ''"> fzdm5 = #{fzdm5},</if>
        <if test="fzdm6 != null and fzdm6 != ''"> fzdm6 = #{fzdm6},</if>
        <if test="fzdm7 != null and fzdm7 != ''"> fzdm7 = #{fzdm7},</if>
        <if test="fzdm8 != null and fzdm8 != ''"> fzdm8 = #{fzdm8},</if>
        <if test="fzdm9 != null and fzdm9 != ''"> fzdm9 = #{fzdm9},</if>
        <if test="fzdm10 != null and fzdm10 != ''"> fzdm10 = #{fzdm10},</if>
        <if test="wlh != null and wlh != ''"> wlh = #{wlh},</if>
        <if test="zbid != null"> ZBID = #{zbid},</if>
        <if test="edid != null"> EDID = #{edid},</if>
        <if test="jfsqid != null"> JFSQID = #{jfsqid},</if>
        <if test="fzdm11 != null and fzdm11 != ''"> fzdm11 = #{fzdm11} , </if>
        <if test="fzdm12 != null and fzdm12 != ''"> fzdm12 = #{fzdm12} , </if>
        <if test="fzdm13 != null and fzdm13 != ''"> fzdm13 = #{fzdm13} , </if>
        <if test="fzdm14 != null and fzdm14 != ''">fzdm14 = #{fzdm14} , </if>
        <if test="fzdm15 != null and fzdm15 != ''"> fzdm15 = #{fzdm15} , </if>
        <if test="fzdm16 != null and fzdm16 != ''"> fzdm16 = #{fzdm16} , </if>
        <if test="fzdm17 != null and fzdm17 != ''">fzdm17 =  #{fzdm17} , </if>
        <if test="fzdm18 != null and fzdm18 != ''"> fzdm18 = #{fzdm18} , </if>
        <if test="fzdm19 != null and fzdm19 != ''"> fzdm19 = #{fzdm19} , </if>
        <if test="fzdm20 != null and fzdm20 != ''"> fzdm20 = #{fzdm20} , </if>
        <if test="fzdm21 != null and fzdm21 != ''"> fzdm21 = #{fzdm21} , </if>
        <if test="fzdm22 != null and fzdm22 != ''"> fzdm22 = #{fzdm22} , </if>
        <if test="fzdm23 != null and fzdm23 != ''"> fzdm23 = #{fzdm23} , </if>
        <if test="fzdm24 != null and fzdm24 != ''"> fzdm24 = #{fzdm24} , </if>
        <if test="fzdm25 != null and fzdm25 != ''"> fzdm25 = #{fzdm25} , </if>
        <if test="fzdm26 != null and fzdm26 != ''"> fzdm26 = #{fzdm26} , </if>
        <if test="fzdm27 != null and fzdm27 != ''"> fzdm27 = #{fzdm27} , </if>
        <if test="fzdm28 != null and fzdm28 != ''"> fzdm28 = #{fzdm28} , </if>
        <if test="fzdm29 != null and fzdm29 != ''"> fzdm29 = #{fzdm29} , </if>
        <if test="fzdm30 != null and fzdm30 != ''"> fzdm30 = #{fzdm30} , </if>
        <if test="idpzh != null and idpzh != ''"> idpzh = #{idpzh} , </if>
        <if test="skrlx != null and skrlx != ''"> skrlx = #{skrlx} , </if>
        <if test="skrmc != null and skrmc != ''"> skrmc = #{skrmc} , </if>
        <if test="skrzh != null and skrzh != ''"> skrzh = #{skrzh} , </if>
        <if test="skryhdm != null and skryhdm != ''">skryhdm = #{skryhdm} , </if>
        <if test="skryhhh != null and skryhhh != ''"> skryhhh = #{skryhhh} , </if>
        <if test="skryhmc != null and skryhmc != ''"> skryhmc = #{skryhmc} , </if>
        <if test="yszccy != null and yszccy != ''"> yszccy = #{yszccy} , </if>
        <if test="xsflh != null and xsflh != ''"> xsflh = #{xsflh} , </if>
        <if test="bxdid != null and bxdid != ''"> bxdid = #{bxdid}, </if>
        <if test="htid != null and htid != ''"> htid = #{htid} , </if>
        <if test="zckpbh != null and zckpbh != ''"> zckpbh = #{zckpbh} , </if>
        <if test="sflx != null and sflx != ''"> sflx = #{sflx} , </if>
        <if test="djbh != null and djbh != ''"> djbh = #{djbh} , </if>
        <if test="hzflh != null and hzflh != ''">hzflh = #{hzflh} , </if>
        <if test="cyxfx != null and cyxfx != ''"> cyxfx =#{cyxfx} , </if>
        <if test="dqrq != null and dqrq != ''"> dqrq = #{dqrq} , </if>
        <if test="glidpznr != null and glidpznr != ''"> glidpznr =#{glidpznr} </if>
    </trim>
    where idpznr= #{idpznr}
</update>
<!-- 逻辑删除 -->
<update id="SenderGlPznrEntity_logicDelete" parameterType = "com.hzya.frame.grpU8.nxproof.glPznr.entity.SenderGlPznrEntity" >
update gl_pznr  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
where  idpznr= #{idpznr}
</update>
<!-- 多条件逻辑删除 -->
<update id="SenderGlPznrEntity_logicDelete_Multi_Condition" parameterType = "com.hzya.frame.grpU8.nxproof.glPznr.entity.SenderGlPznrEntity" >
update gl_pznr  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
 <trim prefix="where" prefixOverrides="and"> 
        <if test="gsdm != null and gsdm != ''"> and gsdm = #{gsdm} </if>
            <if test="zth != null and zth != ''"> and ZTH = #{zth} </if>
            <if test="kjqj != null and kjqj != ''"> and kjqj = #{kjqj} </if>
            <if test="pzly != null and pzly != ''"> and pzly = #{pzly} </if>
            <if test="pzh != null and pzh != ''"> and pzh = #{pzh} </if>
     <if test="kjtxdm != null and kjtxdm != ''"> and kjtxdm = #{kjtxdm}</if>
     <if test="pzlxdm != null and pzlxdm != ''"> and pzh = #{pzlxdm}</if>
            <if test="flh != null"> and flh = #{flh} </if>
            <if test="zy != null and zy != ''"> and zy = #{zy} </if>
            <if test="kmdm != null and kmdm != ''"> and kmdm = #{kmdm} </if>
            <if test="wbdm != null and wbdm != ''"> and wbdm = #{wbdm} </if>
            <if test="hl != null"> and hl = #{hl} </if>
            <if test="jdbz != null and jdbz != ''"> and jdbz = #{jdbz} </if>
            <if test="wbje != null"> and wbje = #{wbje} </if>
            <if test="je != null"> and je = #{je} </if>
            <if test="spz != null and spz != ''"> and spz = #{spz} </if>
            <if test="wldrq != null and wldrq != ''"> and wldrq = #{wldrq} </if>
            <if test="sl != null"> and sl = #{sl} </if>
            <if test="dj != null"> and dj = #{dj} </if>
            <if test="bmdm != null and bmdm != ''"> and bmdm = #{bmdm} </if>
            <if test="wldm != null and wldm != ''"> and wldm = #{wldm} </if>
            <if test="xmdm != null and xmdm != ''"> and xmdm = #{xmdm} </if>
            <if test="fzsm1 != null and fzsm1 != ''"> and fzsm1 = #{fzsm1} </if>
            <if test="fzsm2 != null and fzsm2 != ''"> and fzsm2 = #{fzsm2} </if>
            <if test="fzsm3 != null and fzsm3 != ''"> and fzsm3 = #{fzsm3} </if>
            <if test="fzsm4 != null and fzsm4 != ''"> and fzsm4 = #{fzsm4} </if>
            <if test="fzsm5 != null and fzsm5 != ''"> and fzsm5 = #{fzsm5} </if>
            <if test="fzsm6 != null and fzsm6 != ''"> and fzsm6 = #{fzsm6} </if>
            <if test="fzsm7 != null and fzsm7 != ''"> and fzsm7 = #{fzsm7} </if>
            <if test="fzsm8 != null and fzsm8 != ''"> and fzsm8 = #{fzsm8} </if>
            <if test="fzsm9 != null and fzsm9 != ''"> and fzsm9 = #{fzsm9} </if>
            <if test="cess != null"> and cess = #{cess} </if>
            <if test="fplx != null and fplx != ''"> and fplx = #{fplx} </if>
            <if test="fprq != null and fprq != ''"> and fprq = #{fprq} </if>
            <if test="fphfw1 != null"> and fphfw1 = #{fphfw1} </if>
            <if test="fphfw2 != null"> and fphfw2 = #{fphfw2} </if>
            <if test="jsfs != null and jsfs != ''"> and jsfs = #{jsfs} </if>
            <if test="zydm != null and zydm != ''"> and zydm = #{zydm} </if>
            <if test="fzdm4 != null and fzdm4 != ''"> and fzdm4 = #{fzdm4} </if>
            <if test="fzdm5 != null and fzdm5 != ''"> and fzdm5 = #{fzdm5} </if>
            <if test="fzdm6 != null and fzdm6 != ''"> and fzdm6 = #{fzdm6} </if>
            <if test="fzdm7 != null and fzdm7 != ''"> and fzdm7 = #{fzdm7} </if>
            <if test="fzdm8 != null and fzdm8 != ''"> and fzdm8 = #{fzdm8} </if>
            <if test="fzdm9 != null and fzdm9 != ''"> and fzdm9 = #{fzdm9} </if>
            <if test="fzdm10 != null and fzdm10 != ''"> and fzdm10 = #{fzdm10} </if>
            <if test="idpznr != null and idpznr != ''"> and IDPZNR = #{idpznr} </if>
            <if test="wlh != null and wlh != ''"> and wlh = #{wlh} </if>
            <if test="zbid != null"> and ZBID = #{zbid} </if>
            <if test="edid != null"> and EDID = #{edid} </if>
            <if test="jfsqid != null"> and JFSQID = #{jfsqid} </if>
            and sts='Y'
    </trim>
</update>
<!--通过主键删除-->
<delete id="entity_delete">
    delete from gl_pznr where idpznr = #{idpznr}
</delete>

    <!--通过主键删除-->
    <delete id="SenderGlPznrEntity_delete_pznr">
        delete from gl_pznr where gsdm= #{gsdm} and zth=#{zth}
        <if test="kjqj != null and kjqj!=''"> and kjqj=#{kjqj}</if>
        <if test="pzh != null and pzh!=''"> and pzh = #{pzh} </if>
        <if test="idpzh != null and idpzh!=''"> and idpzh = #{idpzh} </if>
    </delete>


</mapper>

